import { p as proxyCustomElement, H, h } from './p-a53686b3.js';
import { r as randomIdGenerator } from './p-ffe5c0e8.js';

const iconExclamationTriangleFilledCss = ".sc-digi-icon-exclamation-triangle-filled-h{--digi--icon--color:var(--digi--color--icon--primary);--digi--icon--width:initial;--digi--icon--height:auto;display:flex;min-height:1.4em;align-items:center}.sc-digi-icon-exclamation-triangle-filled-h svg.sc-digi-icon-exclamation-triangle-filled{color:var(--digi--icon--color);max-width:var(--digi--icon--width);max-height:var(--digi--icon--height);width:var(--digi--icon--width, auto);height:var(--digi--icon--height, auto)}";
const DigiIconExclamationTriangleFilledStyle0 = iconExclamationTriangleFilledCss;

const IconExclamationTriangleFilled = /*@__PURE__*/ proxyCustomElement(class IconExclamationTriangleFilled extends H {
    constructor() {
        super();
        this.__registerHost();
        this.afTitle = undefined;
        this.afDesc = undefined;
        this.afSvgAriaHidden = true;
        this.afSvgAriaLabelledby = undefined;
        this.titleId = randomIdGenerator('icontitle');
    }
    render() {
        return (h("svg", { key: '632bb5183bcaf5f56084a9b1754aa2e7ede42f70', class: "digi-icon-exclamation-triangle-filled", width: "29", height: "26", viewBox: "0 0 29 26", xmlns: "http://www.w3.org/2000/svg", "aria-hidden": this.afSvgAriaHidden ? 'true' : 'false', "aria-labelledby": this.afSvgAriaLabelledby
                ? this.afSvgAriaLabelledby
                : this.afTitle
                    ? this.titleId
                    : undefined }, this.afTitle && h("title", { key: '05dbcf347a1c3939f4dd994bb6be69f99cc1222f', id: this.titleId }, this.afTitle), this.afDesc && h("desc", { key: 'ead1877ec5d71a1ea809961b2ca9cc00c335c6af' }, this.afDesc), h("path", { key: 'cb20661f1fb3a30b79bd42c3ec695a4e66e653dd', class: "digi-icon-exclamation-triangle-filled__shape", d: "M28.674 22.344C29.603 23.97 28.436 26 26.58 26H2.42C.56 26-.602 23.966.325 22.344l12.08-21.126c.93-1.625 3.26-1.623 4.187 0l12.08 21.126zM14.5 17.977a2.326 2.326 0 00-2.316 2.335 2.326 2.326 0 002.316 2.336 2.326 2.326 0 002.316-2.335 2.326 2.326 0 00-2.316-2.336zM12.301 9.58l.374 6.906a.606.606 0 00.603.576h2.444c.32 0 .586-.252.603-.576L16.7 9.58a.607.607 0 00-.603-.643h-3.192a.607.607 0 00-.603.643z", fill: "currentColor", "fill-rule": "nonzero" })));
    }
    static get style() { return DigiIconExclamationTriangleFilledStyle0; }
}, [2, "digi-icon-exclamation-triangle-filled", {
        "afTitle": [1, "af-title"],
        "afDesc": [1, "af-desc"],
        "afSvgAriaHidden": [4, "af-svg-aria-hidden"],
        "afSvgAriaLabelledby": [1, "af-svg-aria-labelledby"],
        "titleId": [32]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["digi-icon-exclamation-triangle-filled"];
    components.forEach(tagName => { switch (tagName) {
        case "digi-icon-exclamation-triangle-filled":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, IconExclamationTriangleFilled);
            }
            break;
    } });
}

const DigiIconExclamationTriangleFilled = IconExclamationTriangleFilled;
const defineCustomElement = defineCustomElement$1;

export { DigiIconExclamationTriangleFilled, defineCustomElement };
